(function (global, factory) {
    if (typeof define === "function" && define.amd) {
        define(["exports", "react"], factory);
    } else if (typeof exports !== "undefined") {
        factory(exports, require("react"));
    } else {
        var mod = {
            exports: {}
        };
        factory(mod.exports, global.react);
        global.FacebookStyle = mod.exports;
    }
})(this, function (exports, _react) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
        value: true
    });

    var _react2 = _interopRequireDefault(_react);

    function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : {
            default: obj
        };
    }

    var FacebookStyle = function FacebookStyle(props) {
        var gradient = {
            fill: "url(#" + props.classNameHash + "1)"
        };
        return _react2.default.createElement(
            "svg",
            { viewBox: "0 0 400 130", version: "1.1", style: props.style, preserveAspectRatio: "xMidYMid meet" },
            _react2.default.createElement("rect", { style: gradient, clipPath: "url(#" + props.classNameHash + "2", x: "0", y: "0", width: "400", height: "400" }),
            _react2.default.createElement(
                "defs",
                null,
                _react2.default.createElement(
                    "clipPath",
                    { id: props.classNameHash + "2" },
                    _react2.default.createElement("rect", { x: "0", y: "0", rx: "5", ry: "5", width: "70", height: "70" }),
                    _react2.default.createElement("rect", { x: "80", y: "17", rx: "4", ry: "4", width: "300", height: "13" }),
                    _react2.default.createElement("rect", { x: "80", y: "40", rx: "3", ry: "3", width: "250", height: "10" }),
                    _react2.default.createElement("rect", { x: "0", y: "80", rx: "3", ry: "3", width: "350", height: "10" }),
                    _react2.default.createElement("rect", { x: "0", y: "100", rx: "3", ry: "3", width: "400", height: "10" }),
                    _react2.default.createElement("rect", { x: "0", y: "120", rx: "3", ry: "3", width: "360", height: "10" })
                ),
                _react2.default.createElement(
                    "linearGradient",
                    { id: props.classNameHash + "1" },
                    _react2.default.createElement(
                        "stop",
                        { offset: "0%", stopColor: props.primaryColor },
                        _react2.default.createElement("animate", { attributeName: "offset", values: "-2; 1", dur: props.speed + "s", repeatCount: "indefinite" })
                    ),
                    _react2.default.createElement(
                        "stop",
                        { offset: "50%", stopColor: props.secondaryColor },
                        _react2.default.createElement("animate", { attributeName: "offset", values: "-1.5; 1.5", dur: props.speed + "s", repeatCount: "indefinite" })
                    ),
                    _react2.default.createElement(
                        "stop",
                        { offset: "100%", stopColor: props.primaryColor },
                        _react2.default.createElement("animate", { attributeName: "offset", values: "-1; 2", dur: props.speed + "s", repeatCount: "indefinite" })
                    )
                )
            )
        );
    };

    exports.default = FacebookStyle;
});