(function (global, factory) {
    if (typeof define === "function" && define.amd) {
        define(["exports", "react"], factory);
    } else if (typeof exports !== "undefined") {
        factory(exports, require("react"));
    } else {
        var mod = {
            exports: {}
        };
        factory(mod.exports, global.react);
        global.Wrap = mod.exports;
    }
})(this, function (exports, _react) {
    "use strict";

    Object.defineProperty(exports, "__esModule", {
        value: true
    });

    var _react2 = _interopRequireDefault(_react);

    function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : {
            default: obj
        };
    }

    var Wrap = function Wrap(props) {

        var generateId = function generateId() {
            var possible = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
            var text = "";

            for (var i = 0; i < 10; i++) {
                text += possible.charAt(Math.floor(Math.random() * possible.length));
            }return text;
        };

        var idClip = generateId();
        var idGradient = generateId();

        return _react2.default.createElement(
            "svg",
            { viewBox: "0 0 400 " + props.height, version: "1.1", style: props.style, preserveAspectRatio: "xMidYMid meet" },
            _react2.default.createElement("rect", { style: { fill: "url(#" + idGradient + ")" }, clipPath: "url(#" + idClip + ")", x: "0", y: "0", width: "400", height: props.height }),
            _react2.default.createElement(
                "defs",
                null,
                _react2.default.createElement(
                    "clipPath",
                    { id: "" + idClip },
                    props.children
                ),
                _react2.default.createElement(
                    "linearGradient",
                    { id: "" + idGradient },
                    _react2.default.createElement(
                        "stop",
                        { offset: "0%", stopColor: props.primaryColor },
                        _react2.default.createElement("animate", { attributeName: "offset", values: "-2; 1", dur: props.speed + "s", repeatCount: "indefinite" })
                    ),
                    _react2.default.createElement(
                        "stop",
                        { offset: "50%", stopColor: props.secondaryColor },
                        _react2.default.createElement("animate", { attributeName: "offset", values: "-1.5; 1.5", dur: props.speed + "s", repeatCount: "indefinite" })
                    ),
                    _react2.default.createElement(
                        "stop",
                        { offset: "100%", stopColor: props.primaryColor },
                        _react2.default.createElement("animate", { attributeName: "offset", values: "-1; 2", dur: props.speed + "s", repeatCount: "indefinite" })
                    )
                )
            )
        );
    };

    exports.default = Wrap;
});